<?php
	/*OmegaBB 0.9.4*/
	include('omegabb.php');

	$avatar_number=GetParam($_REQUEST,'avatar_number','');
    $ck=GetParam($_REQUEST,'ck','');
	
	$auth_ret = Check_Auth();
	
	if ($settings->allow_avatar_change == 0) {
	   return "-1^?".intext("Feature disabled");
	}
	if( $auth_ret <= 0) {
	   echo "-1^?".intext("Not signed in");
	   return;
	}

	echo UpdateAvatar($avatar_number, $ck);
?>